---
last_modified_on: "2020-07-13"
delivery_guarantee: "at_least_once"
component_title: "Generator"
description: "The Vector `generator` source ingests data through an internal data generator and outputs `log` events."
event_types: ["log"]
function_category: "test"
issues_url: https://github.com/timberio/vector/issues?q=is%3Aopen+is%3Aissue+label%3A%22source%3A+generator%22
operating_systems: ["Linux","MacOS","Windows"]
sidebar_label: "generator|[\"log\"]"
source_url: https://github.com/timberio/vector/tree/master/src/sources/generator.rs
status: "prod-ready"
title: "Generator Source"
unsupported_operating_systems: []
---

import Fields from '@site/src/components/Fields';
import Field from '@site/src/components/Field';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

The Vector `generator` source
ingests data through an internal data generator and outputs
[`log`][docs.data-model.log] events.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/sources/generator.md.erb
-->

## Configuration

<Tabs
  block={true}
  defaultValue="common"
  values={[{"label":"Common","value":"common"},{"label":"Advanced","value":"advanced"}]}>
<TabItem value="common">

```toml title="vector.toml"
[sources.my_source_id]
  type = "generator" # required
  lines = ["Line 1", "Line 2"] # required
```

</TabItem>
<TabItem value="advanced">

```toml title="vector.toml"
[sources.my_source_id]
  type = "generator" # required
  batch_interval = 1.0 # optional, no default
  count = "infinite" # optional, default
  lines = ["Line 1", "Line 2"] # required
  sequence = false # optional, default
```

</TabItem>
</Tabs>

## Options

<Fields filters={true}>
<Field
  common={false}
  defaultValue={null}
  enumValues={null}
  examples={[1.0]}
  groups={[]}
  name={"batch_interval"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"float"}
  unit={null}
  warnings={[]}
  >

### batch_interval

The amount of time, in seconds, to pause between each batch of output lines. If
not set, there will be no delay.



</Field>
<Field
  common={false}
  defaultValue={"infinite"}
  enumValues={null}
  examples={["infinite"]}
  groups={[]}
  name={"count"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"uint"}
  unit={null}
  warnings={[]}
  >

### count

The number of times to repeat outputting the [`lines`](#lines).



</Field>
<Field
  common={true}
  defaultValue={null}
  enumValues={null}
  examples={[["Line 1","Line 2"]]}
  groups={[]}
  name={"lines"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"[string]"}
  unit={null}
  warnings={[]}
  >

### lines

The list of lines to output.



</Field>
<Field
  common={false}
  defaultValue={false}
  enumValues={null}
  examples={[false,true]}
  groups={[]}
  name={"sequence"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"bool"}
  unit={null}
  warnings={[]}
  >

### sequence

If `true`, each output line will start with an increasing sequence number.



</Field>
</Fields>

## How It Works

### Environment Variables

Environment variables are supported through all of Vector's configuration.
Simply add `${MY_ENV_VAR}` in your Vector configuration file and the variable
will be replaced before being evaluated.

You can learn more in the
[Environment Variables][docs.configuration#environment-variables] section.

[docs.configuration#environment-variables]: /docs/setup/configuration/#environment-variables
[docs.data-model.log]: /docs/about/data-model/log/
