---
last_modified_on: "2020-07-13"
component_title: "Remove Tags"
description: "The Vector `remove_tags` transform accepts and outputs `metric` events, allowing you to remove one or more metric tags."
event_types: ["metric"]
function_category: "schema"
issues_url: https://github.com/timberio/vector/issues?q=is%3Aopen+is%3Aissue+label%3A%22transform%3A+remove_tags%22
operating_systems: ["Linux","MacOS","Windows"]
sidebar_label: "remove_tags|[\"metric\"]"
source_url: https://github.com/timberio/vector/tree/master/src/transforms/remove_tags.rs
status: "prod-ready"
title: "Remove Tags Transform"
unsupported_operating_systems: []
---

import Fields from '@site/src/components/Fields';
import Field from '@site/src/components/Field';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

The Vector `remove_tags` transform
accepts and outputs [`metric`][docs.data-model.metric] events, allowing you to
remove one or more metric tags.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/transforms/remove_tags.md.erb
-->

## Configuration

<Tabs
  block={true}
  defaultValue="common"
  values={[{"label":"Common","value":"common"},{"label":"Advanced","value":"advanced"}]}>
<TabItem value="common">

```toml title="vector.toml"
[transforms.my_transform_id]
  type = "remove_tags" # required
  inputs = ["my-source-or-transform-id"] # required
  tags = ["tag1", "tag2"] # required
```

</TabItem>
<TabItem value="advanced">

```toml title="vector.toml"
[transforms.my_transform_id]
  type = "remove_tags" # required
  inputs = ["my-source-or-transform-id"] # required
  tags = ["tag1", "tag2"] # required
```

</TabItem>
</Tabs>

<Fields filters={true}>
<Field
  common={true}
  defaultValue={null}
  enumValues={null}
  examples={[["tag1","tag2"]]}
  groups={[]}
  name={"tags"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"[string]"}
  unit={null}
  warnings={[]}
  >

### tags

The tag names to drop.



</Field>
</Fields>

## How It Works

### Complex Processing

If you encounter limitations with the `remove_tags`
transform then we recommend using a [runtime transform][urls.vector_programmable_transforms].
These transforms are designed for complex processing and give you the power of
full programming runtime.

### Environment Variables

Environment variables are supported through all of Vector's configuration.
Simply add `${MY_ENV_VAR}` in your Vector configuration file and the variable
will be replaced before being evaluated.

You can learn more in the
[Environment Variables][docs.configuration#environment-variables] section.

[docs.configuration#environment-variables]: /docs/setup/configuration/#environment-variables
[docs.data-model.metric]: /docs/about/data-model/metric/
[urls.vector_programmable_transforms]: https://vector.dev/components/?functions%5B%5D=program
