---
last_modified_on: "2020-07-20"
title: "Vector v0.10.0 Release Notes"
codename: "Lamport Clock"
date: "2020-07-10"
description: "Vector v0.10.0 - Lamport Clock - Release Notes"
version: "0.10.0"
---

import Changelog from '@site/src/components/Changelog';
import HighlightItems from '@theme/HighlightItems';

The [Vector team][pages.community#team] is pleased to release
0.10.0. This is a [initial dev](https://semver.org/#spec-item-4)
release. Checkout the [Highlights](#highlights), [Changelog](#changelog), and
[What's Next](#whats-next) section for more detail.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/releases/0.10.0.md.erb
-->

## Highlights

<div className="sub-title">Noteworthy changes in this release</div>

<HighlightItems
  author={false}
  colorize={true}
  groupBy={"type"}
  headingDepth={3}
  items={[{"authorGithub":"https://github.com/hoverbear","dateString":"2020-06-18T00:00:00","description":"Vector once again follows the guidance of the host on DNS lookups.","permalink":"/highlights/2020-06-18-remove-custom-dns-resolution/","prNumbers":[2812],"release":"0.10.0","tags":["type: breaking change"],"title":"Removal custom DNS resolution","type":"breaking change"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-05-04T00:00:00","description":"One step closer to Vector replacing awk and sed!","permalink":"/highlights/2020-05-04-shutdown-vector-if-all-sources-finish/","prNumbers":[2533],"release":"0.10.0","tags":["type: enhancement","source: stdin"],"title":"Vector gracefully exits when specific sources finish","type":"enhancement"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-05-13T00:00:00","description":"Efficiently run multiple regexes in the same transform!","permalink":"/highlights/2020-05-13-add-regexset-support-to-regex/","prNumbers":[2493],"release":"0.10.0","tags":["type: enhancement","domain: transforms","transform: regex_parser"],"title":"RegexSet support to `regex` transform","type":"enhancement"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-05-20T00:00:00","description":"Vector can now bear authentication tokens for relevant components.","permalink":"/highlights/2020-05-20-add-bearer-auth-strategy/","prNumbers":[2607],"release":"0.10.0","tags":["type: enhancement","domain: sinks","sink: http"],"title":"Now supporting the bearer auth strategy","type":"enhancement"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-05-27T00:00:00","description":"Complicated PEM? No PEM-blem with Vector!","permalink":"/highlights/2020-05-27-add-support-for-loading-multiple-cas/","prNumbers":[2616],"release":"0.10.0","tags":["type: enhancement","source: socket"],"title":"Support for loading multiple CAs","type":"enhancement"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-06-10T00:00:00","description":"A little polish on a useful feature.","permalink":"/highlights/2020-06-10-consolidate-and-beautify-validate/","prNumbers":[2622],"release":"0.10.0","tags":["type: enhancement","domain: ux"],"title":"Beautification of the validate command","type":"enhancement"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-05-05T00:00:00","description":"The journald source can now exclude units.","permalink":"/highlights/2020-05-05-add-support-for-include-exclude-units/","prNumbers":[2540],"release":"0.10.0","tags":["type: new feature","source: journald"],"title":"Journald Unit Filtering Exclusions","type":"new feature"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-06-27T00:00:00","description":"Vector has a new way to authenticate with Kafka!","permalink":"/highlights/2020-06-27-add-sasl-to-kafka/","prNumbers":[2897],"release":"0.10.0","tags":["type: new feature","domain: sinks","sink: kafka"],"title":"Kafka components support SASL","type":"new feature"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-07-06T00:00:00","description":"Stuff more data down a smaller hose in less time for cheaper.","permalink":"/highlights/2020-07-06-add-compression-option-for-aws-sinks/","prNumbers":[2953,2637,2679,2682],"release":"0.10.0","tags":["type: new feature","sink: aws_s3","sink: humio_logs","sink: aws_kinesis_firehose","sink: aws_kinesis_streams"],"title":"New compression options for some sinks","type":"new feature"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-07-10T00:00:00","description":"Canonical Log Lines in Vector","permalink":"/highlights/2020-07-10-add-reduce-transform/","prNumbers":[2870],"release":"0.10.0","tags":["type: new feature","domain: transforms"],"title":"New Reduce transform","type":"new feature"},{"authorGithub":"https://github.com/hoverbear","dateString":"2020-07-09T00:00:00","description":"If your Linux uses glibc, Vector will too.","permalink":"/highlights/2020-07-09-add-musl-and-glibc-support-to-install-sh/","prNumbers":[2969,2518],"release":"0.10.0","tags":["type: performance","domain: operations"],"title":"Leveraging glibc when possible","type":"performance"}]}
  size={null}
  tags={false}
  timeline={false} />

## Changelog

<div className="sub-title">A complete list of changes</div>

<Changelog version={"0.10.0"} />

## What's Next

<ul className="connected-list">
<li>

### Kubernetes! ⎈

We're doing this integration right. We've been alpha testing with a number of large clusters and we've honed in on a very high-quality approach that reflects the UX Vector is going after. You can learn more in our [Kubernetes Integration RFC][urls.pr_2222]. Do you want to beta test? [Tell us!][urls.vector_chat]
</li>
<li>

### WASM plugins 🔌

This release included an experimental implementation of a WASM transform behind a `wasm` build flag. We plan to stabilize WASM transforms, as well as add [WASM][urls.wasm] sinks and sources, enabling you to extend Vector in the language of your choice with little performance penalty. ❤️ WASM. Check out the [WASM Plugin RFC][urls.pr_2341] for more info.
</li>
<li>

### Dynamic HTTP Rate-Limiting (AIMD)

Fiddling with rate-limits is a frustrating endaevor. If you set them too high you risk overwhelming the service; too low and you're unecessarily limiting throughput. What happens if you deploy a few more Vector instances? Vector is planning to solve this by automatically detecting the optimal rate limits, taking inspiration from TCP congestional control algorithms. Check out the [Dynamic HTTP Rate Limiting RFC][urls.pr_2329].
</li>
</ul>

The [Vector roadmap][urls.vector_roadmap] is publicly available and represents
forward looking progress. Vector is [open-source][urls.vector_repo] and
[community driven][pages.community]. Your feedback is welcome!

[pages.community#team]: /community/#team
[pages.community]: /community/
[urls.pr_2222]: https://github.com/timberio/vector/pull/2222
[urls.pr_2329]: https://github.com/timberio/vector/pull/2329
[urls.pr_2341]: https://github.com/timberio/vector/pull/2341
[urls.vector_chat]: https://chat.vector.dev
[urls.vector_repo]: https://github.com/timberio/vector
[urls.vector_roadmap]: https://github.com/timberio/vector/milestones?direction=asc&sort=due_date&state=open
[urls.wasm]: https://webassembly.org/
